%{?nodejs_find_provides_and_requires}

%global packagename woothee
%global enable_tests 1

Name:		nodejs-woothee
Version:	1.4.0
Release:	1%{?dist}
Summary:	User-Agent string parser (js implementation)

License:	ASL 2.0
URL:		https://github.com/woothee/woothee-js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(js-yaml)
BuildRequires:	npm(should)
%endif

%description
User-Agent string parser (js implementation)


%prep
%autosetup -n package

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ release/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul  7 2016 Jared Smith <jsmith@fedoraproject.org> - 1.4.0-1
- Initial packaging
